Mail archive
alpine-aports

[alpine-aports] [PATCH 1/2] testing/sdl_net: new aport

From: Bobby Bingham <koorogi_at_koorogi.info>
Date: Sat, 5 Aug 2017 17:03:16 -0500

Networking add-on library for SDL
---
 testing/sdl_net/APKBUILD | 42 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 42 insertions(+)
 create mode 100644 testing/sdl_net/APKBUILD
diff --git a/testing/sdl_net/APKBUILD b/testing/sdl_net/APKBUILD
new file mode 100644
index 0000000000..2a0fb40aff
--- /dev/null
+++ b/testing/sdl_net/APKBUILD
_at_@ -0,0 +1,42 @@
+# Contributor: Bobby Bingham <koorogi_at_koorogi.info>
+# Maintainer: Bobby Bingham <koorogi_at_koorogi.info>
+pkgname=sdl_net
+pkgver=1.2.8
+pkgrel=0
+pkgdesc="Networking add-on library for SDL"
+url="http://www.libsdl.org/projects/SDL_net/"
+arch="all"
+license="zlib"
+depends=
+makedepends="sdl-dev"
+install=
+subpackages="$pkgname-dev"
+source="http://www.libsdl.org/projects/SDL_net/release/SDL_net-${pkgver}.tar.gz"
+options="!check"
+
+_builddir="$srcdir"/SDL_net-$pkgver
+
+prepare() {
+	cd "$_builddir"
+	update_config_sub || return 1
+}
+
+build() {
+	cd "$_builddir"
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man \
+		--infodir=/usr/share/info \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+sha512sums="2766ca55343127c619958ab3a3ae3052a27a676839f10a158f7dfc071b8db38c2f1fc853e8add32b9fef94ab07eaa986f46a68e264e8087b57c990af30ea9a0b  SDL_net-1.2.8.tar.gz"
-- 
2.13.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sat Aug 05 2017 - 17:03:16 UTC